Subject: Re: [PATCH 5/6] e1000: Secondary unicast address support

From: Ben Greear <[email-masked]>
Date: Tue, 13 Nov 2007 16:18:49 -0800

Krzysztof Oledzki wrote:
> 
> 
> On Tue, 13 Nov 2007, Auke Kok wrote:
> 
>> From: Patrick McHardy <[email-masked]>
>>
>> Add support for configuring secondary unicast addresses. Unicast
>> addresses take precendece over multicast addresses when filling
>> the exact address filters to avoid going to promiscous mode.
>> When more unicast addresses are present than filter slots,
>> unicast filtering is disabled and all slots can be used for
>> multicast addresses.
> 
> Is there any easy way to use it for VRRP? It would be really great to 
> have two IP addresses on the same interface, each with a different hw 
> address.

mac-vlans should do this for you..with our without the driver patch.

Ben

> Best regards,
>                  Krzysztof Olędzki

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com